Text
Date: 2016-07-03

com.nwalsh.saxon

## Class Text

- java.lang.Object
- - com.icl.saxon.om.AbstractNode
  - - com.icl.saxon.tree.NodeImpl
    - - com.icl.saxon.tree.ElementImpl
      - - com.icl.saxon.tree.ElementWithAttributes
        - - com.icl.saxon.style.StyleElement
          - - com.nwalsh.saxon.Text

- All Implemented Interfaces:
    com.icl.saxon.om.NodeInfo, javax.xml.transform.dom.DOMLocator, javax.xml.transform.Source, javax.xml.transform.SourceLocator, org.w3c.dom.Element, org.w3c.dom.NamedNodeMap, org.w3c.dom.Node, org.xml.sax.Locator

      public class Text
      extends com.icl.saxon.style.StyleElement

  Saxon extension element for inserting text

  $Id: Text.java 5907 2006-04-27 08:26:47Z xmldoc $

  Copyright (C) 2000 Norman Walsh.

  This class provides a Saxon extension element for inserting text into a result tree.

  Change Log:

  1.0

    Initial release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `sequence`

    - ### Fields inherited from class com.icl.saxon.style.StyleElement

      `attributeSets, extensionNamespaces, REPORT_ALWAYS, REPORT_IF_INSTANTIATED, REPORT_UNLESS_FORWARDS_COMPATIBLE, reportingCircumstances, staticContext, validationError, version`

    - ### Fields inherited from class com.icl.saxon.tree.ElementWithAttributes

      `attributeList, namespaceList`

    - ### Fields inherited from class com.icl.saxon.tree.ElementImpl

      `nameCode, root`

    - ### Fields inherited from class com.icl.saxon.tree.NodeImpl

      `emptyArray, index, parent`

    - ### Fields inherited from class com.icl.saxon.om.AbstractNode

      `NODE_LETTER`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface com.icl.saxon.om.NodeInfo

      `ATTRIBUTE, COMMENT, ELEMENT, NAMESPACE, NODE, NONE, NUMBER_OF_TYPES, PI, ROOT, TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Text()` Constructor for Text

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.icl.saxon.om.AxisEnumeration` | `enumerateChildren(com.icl.saxon.pattern.NodeTest arg0)`
    `org.w3c.dom.NodeList` | `getChildNodes()`
    `org.w3c.dom.Node` | `getFirstChild()`
    `org.w3c.dom.Node` | `getLastChild()`
    `protected com.icl.saxon.tree.NodeImpl` | `getNthChild(int arg0)`
    `protected long` | `getSequenceNumber()`
    `boolean` | `hasChildNodes()`
    `boolean` | `isInstruction()` Is this element an instruction?
    `boolean` | `mayContainTemplateBody()` Can this element contain a template-body?
    `void` | `prepareAttributes()` Validate the arguments
    `void` | `process(com.icl.saxon.Context context)` Insert the text of the file into the result tree
    `void` | `validate()` Validate that the element occurs in a reasonable place.

    - ### Methods inherited from class com.icl.saxon.style.StyleElement

      `bindVariable, checkEmpty, checkNotTopLevel, checkTopLevel, checkUnknownAttribute, checkWithinTemplate, compileError, compileError, definesExcludedNamespace, definesExtensionElement, doesPostProcessing, fallbackProcessing, findAttributeSets, forwardsCompatibleModeIsEnabled, getContainingStyleSheet, getPrecedence, getPreparedStyleSheet, getPrincipalStyleSheet, getStandardNames, getStyleSheetFunction, getVariableBinding, getVariableNames, getVersion, handleSortKeys, isExcludedNamespace, isExtensionNamespace, isTopLevel, makeAttributeValueTemplate, makeExpression, makePattern, preprocess, processAllAttributes, processAttributes, processAttributeSets, processChildren, processExcludedNamespaces, processExtensionElementAttribute, processVersionAttribute, reportAbsence, setValidationError, styleError, styleError, substituteFor, validateChildren, validateSubtree`

    - ### Methods inherited from class com.icl.saxon.tree.ElementWithAttributes

      `addNamespaceNodes, copy, getAttribute, getAttributeList, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getAttributeValue, getAttributeValue, getAttributeValue, getLength, getNamedItem, getNamedItemNS, getNamespaceCodes, getPrefixForURI, getURICodeForPrefix, hasAttribute, hasAttributeNS, hasAttributes, initialise, item, outputNamespaceNodes, removeAttribute, removeAttributeNode, removeAttributeNS, removeNamedItem, removeNamedItemNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNamedItem, setNamedItemNS, setNamespaceDeclarations`

    - ### Methods inherited from class com.icl.saxon.tree.ElementImpl

      `addChild, compact, copy, copyStringValue, dropChildren, generateId, getBaseURI, getDocumentRoot, getLineNumber, getNameCode, getNodeType, getNodeValue, getStringValue, getSystemId, makeNameCode, removeChild, renumberChildren, setLineNumber, setNameCode, setSystemId, useChildrenArray`

    - ### Methods inherited from class com.icl.saxon.tree.NodeImpl

      `compareOrder, getDisplayName, getDocumentElement, getEnumeration, getFingerprint, getLocalName, getNamePool, getNextInDocument, getNextSibling, getOriginatingNode, getParent, getPrefix, getPreviousInDocument, getPreviousSibling, getURI, isSameNodeInfo, removeNode`

    - ### Methods inherited from class com.icl.saxon.om.AbstractNode

      `appendChild, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, disallowUpdate, getColumnNumber, getData, getDoctype, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getName, getNamespaceURI, getNodeName, getOwnerDocument, getOwnerElement, getParentNode, getPublicId, getSchemaTypeInfo, getSpecified, getTagName, getTextContent, getUserData, getValue, getWholeText, importNode, insertBefore, insertData, isDefaultNamespace, isElementContentWhitespace, isEqualNode, isId, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, replaceData, replaceWholeText, setData, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setNodeValue, setPrefix, setTextContent, setUserData, setValue, splitText, substringData, supports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.xml.sax.Locator

      `getColumnNumber, getLineNumber, getPublicId, getSystemId`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### sequence

          protected int sequence

  - ### Constructor Detail

    - #### Text

          public Text()

      Constructor for Text

      Does nothing.

  - ### Method Detail

    - #### isInstruction

          public boolean isInstruction()

      Is this element an instruction?

      Yes, it is.

      Overrides:
        `isInstruction` in class `com.icl.saxon.style.StyleElement`
      Returns:
        true

    - #### mayContainTemplateBody

          public boolean mayContainTemplateBody()

      Can this element contain a template-body?

      Yes, it can, but only so that it can contain xsl:fallback.

      Overrides:
        `mayContainTemplateBody` in class `com.icl.saxon.style.StyleElement`
      Returns:
        true

    - #### prepareAttributes

          public void prepareAttributes()
                                 throws javax.xml.transform.TransformerConfigurationException

      Validate the arguments

      The element must have an href attribute.

      Specified by:
        `prepareAttributes` in class `com.icl.saxon.style.StyleElement`
      Throws:
        `javax.xml.transform.TransformerConfigurationException`

    - #### validate

          public void validate()
                        throws javax.xml.transform.TransformerConfigurationException

      Validate that the element occurs in a reasonable place.
      Overrides:
        `validate` in class `com.icl.saxon.style.StyleElement`
      Throws:
        `javax.xml.transform.TransformerConfigurationException`

    - #### process

          public void process(com.icl.saxon.Context context)
                       throws javax.xml.transform.TransformerException

      Insert the text of the file into the result tree

      Processing this element inserts the contents of the URL named by the href attribute into the result tree as plain text.

      Optional encoding attribute can specify encoding of resource. If not specified default system encoding is used.

      Specified by:
        `process` in class `com.icl.saxon.style.StyleElement`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### getSequenceNumber

          protected final long getSequenceNumber()

      Overrides:
        `getSequenceNumber` in class `com.icl.saxon.tree.NodeImpl`

    - #### hasChildNodes

          public final boolean hasChildNodes()

      Specified by:
        `hasChildNodes` in interface `com.icl.saxon.om.NodeInfo`
      Specified by:
        `hasChildNodes` in interface `org.w3c.dom.Node`
      Overrides:
        `hasChildNodes` in class `com.icl.saxon.tree.NodeImpl`

    - #### enumerateChildren

          public final com.icl.saxon.om.AxisEnumeration enumerateChildren(com.icl.saxon.pattern.NodeTest arg0)

    - #### getFirstChild

          public final org.w3c.dom.Node getFirstChild()

      Specified by:
        `getFirstChild` in interface `org.w3c.dom.Node`
      Overrides:
        `getFirstChild` in class `com.icl.saxon.tree.NodeImpl`

    - #### getLastChild

          public final org.w3c.dom.Node getLastChild()

      Specified by:
        `getLastChild` in interface `org.w3c.dom.Node`
      Overrides:
        `getLastChild` in class `com.icl.saxon.tree.NodeImpl`

    - #### getChildNodes

          public final org.w3c.dom.NodeList getChildNodes()

      Specified by:
        `getChildNodes` in interface `org.w3c.dom.Node`
      Overrides:
        `getChildNodes` in class `com.icl.saxon.tree.NodeImpl`

    - #### getNthChild

          protected final com.icl.saxon.tree.NodeImpl getNthChild(int arg0)